enable_special_members.h File Reference

Go to the source code of this file.

## Classes

struct | std::_Enable_copy_move< _Copy, _CopyAssignment, _Move, _MoveAssignment, _Tag >
struct | std::_Enable_default_constructor< _Switch, _Tag >
struct | std::_Enable_destructor< _Switch, _Tag >
struct | std::_Enable_special_members< _Default, _Destructor, _Copy, _CopyAssignment, _Move, _MoveAssignment, _Tag >

## Namespaces

| std

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly.

Definition in file enable_special_members.h.